from .common import BaseDMXLight


class VarytecHeroWashZoom712(BaseDMXLight):
    name = "Varytec Hero Wash 712 Z RGBW Zoom"

    def _dump(self):
        return self.address, [
            128,  # pan
            128,  # pan fine
            128,  # tilt
            128,  # tilt fine
            0,  # speed
            self.intensity,
            0,  # shutter
            self.red,
            self.green,
            self.blue,
            self.white,
            0,  # colortemp
            0,  # color macro
            0,  # zoom
            0,  # auto run
        ]
